import { blueColors } from './blue';
import { grayColors } from './gray';
import { greenColors } from './green';
import { orangeColors } from './orange';
import { purpleColors } from './purple';
import { redColors } from './red';
import { tealColors } from './teal';
import { yellowColors } from './yellow';
import { blackColors } from './black';
import { whiteColors } from './white';

export const colorPalettes = {
  blue: blueColors,
  gray: grayColors,
  green: greenColors,
  orange: orangeColors,
  purple: purpleColors,
  red: redColors,
  teal: tealColors,
  yellow: yellowColors,
  black: blackColors,
  white: whiteColors,
};

export type Color = string;

export type ColorPalette = typeof colorPalettes;

export type ColorNames = keyof ColorPalette;
