import { shadows, toString, shadowsToString } from '../src/shadows';

describe('Given a Shadow', () => {
  describe('When transforming to string', () => {
    it('Then it provides the correct value', () => {
      const value = shadows[10][0];
      expect(toString(value)).toBe('-4px 0px 5px 0px rgba(112,112,112,10)');
    });
  });
});

describe('Given a list of Shadow', () => {
  describe('When transforming to string', () => {
    it('Then it provides the correct value', () => {
      const value = shadows[20];
      expect(shadowsToString(value)).toBe('0px 1px 2px 0px rgba(0,0,0,20),0px 1px 3px 0px rgba(0,0,0,10)');
    });
  });
});
